%define name jpilot
%define version 0.99.1
%define letterversion v
%define release 0.9mdk

Name:		%{name}
Summary:	Palm pilot desktop for Linux
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://www.jpilot.org
Source:		http://wwww.jpilot.org/snapshot/%{name}-%{version}%{letterversion}.tar.bz2
Source1:	jpilot-icons.tar.bz2
Requires:	pilot-link >= 0.9.5
BuildRequires:	gtk+-devel, pilot-link-devel, openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Patch: jpilot-0.98.1-usbinfo.patch.bz2
Patch2: jpilot-0.99.1u-plugins-improvement.patch.bz2

%description
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

%package plugin-devel
Summary: Library and header file needed for jpilot plugin development
Group: Communications

%description plugin-devel
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

The library and header file required for plugin development

%prep
%setup -q -n %{name}-%{version}%{letterversion}
%patch -p1
%patch2 -p1

%build
#%define optflags -g -O2
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_mandir}/man1,%{_bindir}}
%makeinstall install install_plugins

perl -p -i -e 's|%{buildroot}||' %{buildroot}/%{_libdir}/jpilot/plugins/*la

install -m 644 {libplugin,prefs}.h %{buildroot}%{_libdir}/jpilot/plugins/

install -d %buildroot/%{_iconsdir}
tar xvjf %{SOURCE1} -C %buildroot/%{_iconsdir}

mkdir -p %{buildroot}%{_libdir}/menu/
cat << EOF > %{buildroot}%{_libdir}/menu/%{name}
?package(jpilot): \
  needs=x11\
  section=Applications/Communications\
  title=J-Pilot\
  longtitle="A tools for your palm pilot"\
  icon=jpilot.xpm\
  command=jpilot
EOF

%find_lang %{name}

%post
%update_menus
/sbin/ldconfig


%postun 
%clean_menus
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS CHANGELOG COPYING CREDITS INSTALL README TODO UPGRADING
%doc docs/plugin.html docs/manual.html
%{_bindir}/*
%{_datadir}/jpilot/jpilotrc.*
%{_datadir}/jpilot/*.pdb
%{_datadir}/icons/*xpm
%{_datadir}/icons/*/*xpm
%{_libdir}/%{name}/plugins/*.la
%{_libdir}/%{name}/plugins/*.so*
%{_libdir}/menu/jpilot
%{_mandir}/man1/*

%files plugin-devel
%defattr(-,root,root)
%{_libdir}/jpilot/plugins/libplugin.h
%{_libdir}/jpilot/plugins/prefs.h

%changelog
* Mon Jan 28 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.9mdk
- Upgrade to latest snapshot.

* Tue Jan 15 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.8mdk
- Add Jason Day contributed code from pre to get jpilot-syncmal works.

* Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.7mdk
- Upgrade to latest snapshot.

* Fri Dec  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.6mdk
- Last dated snapshot.
- Fix rpmlint's.

* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.5mdk
- Fix DESTDIR with makeinstall.

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.4mdk
- rpmlint fixes.

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-0.3mdk
- BuildRequires:	gtk+-devel

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.2mdk
- Fix plugins loading.

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.1mdk
- Sanitize spec file.
- 0.99.1 pre.

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99-3mdk
- BuildRequires: pilot-link-devel

* Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.99-2mdk
- need prefs.h in plugins for jpilot-syncmal

* Thu Feb 08 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 0.99-1mdk
- new and shiny source.
- change the URL.
- change the URL on the source tag.
- Don't apply patch1 anymore. (security mode 0700 fix.)
- remove libplugin.a (can't find it anymore.)
- when using tar use -j to pass through the bzip2 filter, not -I.

* Fri Dec 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-7mdk
- Create directory as 0700.

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-6mdk
- Rebuilt for gcc 2.96

* Wed Sep 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-4mdk
- Add info about usb.

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-3mdk
- fixed stupid error in changelog

* Fri Aug 11 2000 Vincent Danen <molnarc@mandrakesoft.com> 0.98.1-2mdk
- Added plugin lib for future development
- Added plugindevel package

* Wed Jul 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.98.1-1mdk
- initial mandrake build
- remove expense plugin
